Files API, REST: File.Update
Update an existing file.
HTTP request
PATCH https://rest-assistant.api.cloud.yandex.net/files/v1/files/{fileId}
Path parameters
Request message for updating an existing file.
|
Field |
Description |
|
fileId |
string Required field. ID of the file to update. |
Body parameters
{
"updateMask": "string",
"name": "string",
"description": "string",
"expirationConfig": {
"expirationPolicy": "string",
"ttlDays": "string"
},
"labels": "object"
}
Request message for updating an existing file.
|
Field |
Description |
|
updateMask |
string (field-mask) Required field. A comma-separated names off ALL fields to be updated. If |
|
name |
string New name for the file. |
|
description |
string New description for the file. |
|
expirationConfig |
New expiration configuration for the file. |
|
labels |
object (map<string, string>) New set of labels for the file. |
ExpirationConfig
|
Field |
Description |
|
expirationPolicy |
enum (ExpirationPolicy)
|
|
ttlDays |
string (int64) |
Response
HTTP Code: 200 - OK
{
"id": "string",
"folderId": "string",
"name": "string",
"description": "string",
"mimeType": "string",
"createdBy": "string",
"createdAt": "string",
"updatedBy": "string",
"updatedAt": "string",
"expirationConfig": {
"expirationPolicy": "string",
"ttlDays": "string"
},
"expiresAt": "string",
"labels": "object"
}
|
Field |
Description |
|
id |
string Unique identifier of the file. |
|
folderId |
string ID of the folder that the file belongs to. |
|
name |
string Name of the file. |
|
description |
string Description of the file. |
|
mimeType |
string MIME type of the file, indicating the file's format (e.g., "application/pdf") |
|
createdBy |
string Identifier of the subject who created this file. |
|
createdAt |
string (date-time) Timestamp representing when the file was created. String in RFC3339 text format. The range of possible values is from To work with values in this field, use the APIs described in the |
|
updatedBy |
string Identifier of the subject who last updated this file. |
|
updatedAt |
string (date-time) Timestamp representing the last time this file was updated. String in RFC3339 text format. The range of possible values is from To work with values in this field, use the APIs described in the |
|
expirationConfig |
Configuration for the expiration of the file, defining when and how the file will expire. |
|
expiresAt |
string (date-time) Timestamp representing when the file will expire. String in RFC3339 text format. The range of possible values is from To work with values in this field, use the APIs described in the |
|
labels |
object (map<string, string>) Set of key-value pairs that can be used to organize and categorize the file. |
ExpirationConfig
|
Field |
Description |
|
expirationPolicy |
enum (ExpirationPolicy)
|
|
ttlDays |
string (int64) |